Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.net.axis.server
Interface AxisServiceMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean, org.jboss.deployment.SubDeployerMBean

All Known Implementing Classes:
  AxisService

public interface AxisServiceMBean
extends org.jboss.deployment.SubDeployerMBean

MBean interface.

Since:
  27. September 2001

Field Summary
`static javax.management.ObjectName` | `OBJECT_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`org.apache.axis.server.AxisServer` | `getAxisServer()` return the associated server
`org.apache.axis.EngineConfiguration` | `getClientEngineConfiguration()` return the associated client configuration
`org.apache.axis.EngineConfiguration` | `getServerEngineConfiguration()` return the associated server configuration
`void` | `start(String deploymentName, Document doc, ClassLoader serviceLoader)` start method for usage with immediately known documents
`void` | `stop(Document doc)` stop a given deployment by document

Methods inherited from interface org.jboss.deployment.SubDeployerMBean
`accepts, create, destroy, getRelativeOrder, getSuffixes, init, setRelativeOrder, setSuffixes, start, stop`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Field Detail

### OBJECT_NAME

    public static final javax.management.ObjectName OBJECT_NAME

Method Detail

### start

    public void start(String deploymentName,
                      Document doc,
                      ClassLoader serviceLoader)
               throws org.jboss.deployment.DeploymentException

  start method for usage with immediately known documents

  Throws:
    `org.jboss.deployment.DeploymentException`

### stop

    public void stop(Document doc)
              throws org.jboss.deployment.DeploymentException

  stop a given deployment by document

  Throws:
    `org.jboss.deployment.DeploymentException`

### getClientEngineConfiguration

    public org.apache.axis.EngineConfiguration getClientEngineConfiguration()

  return the associated client configuration

### getServerEngineConfiguration

    public org.apache.axis.EngineConfiguration getServerEngineConfiguration()

  return the associated server configuration

### getAxisServer

    public org.apache.axis.server.AxisServer getAxisServer()

  return the associated server

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.